unit TestGames_U;
interface
uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Buttons, StdCtrls, ExtCtrls, Math;

type
  TfrmQ2 = class(TForm)
    pnlOutPut: TPanel;
    pnlChoices: TPanel;
    btnReadTextFile: TButton;
    bbnClose: TBitBtn;
    memOutput: TMemo;
    btnListResults: TButton;
    btnMaxGoals: TButton;
    btnPoints: TButton;
    btnListOfTeams: TButton;
    procedure btnReadTextFileClick(Sender: TObject);
    procedure ReadTextFile;
    procedure btnListResultsClick(Sender: TObject);
    procedure ListResults;
    procedure btnPointsClick(Sender: TObject);
    Procedure ShowPoints(sTeam: string);		
    procedure btnMaxGoalsClick(Sender: TObject);
    procedure MaxGoals;
    procedure btnListOfTeamsClick(Sender: TObject);
    procedure ListOfTeams ;
  private
    { Private declarations }
  public
    { Public declarations }
    Procedure SetupDummyData;
  end;

var
  frmQ2: TfrmQ2;

implementation

Uses Games_U;

Const iMaxGames  = 50;
      iMaxTeams  = 14;
      fName = 'Results.txt';

Var
    iNumGames  : Integer;
    // 2.2
{$R *.dfm}

//--------------------------------------------------------------------------------------------------------------------------------
Procedure TfrmQ2.SetupDummyData;
Begin

   // Only use the code in this this procedure in place of the ReadTextFile procedure
   // if you cannot create the ReadTextFile procedure sucessfully.

   {
   arrResults[1]:= TResult.Create('A','EC1','WC2',4,4);
   arrResults[2]:= TResult.Create('B','EC2','GT2',4,0 );
   arrResults[3]:= TResult.Create('B','GT2','NW1',1,1 );
   arrResults[4]:= TResult.Create('B','GT2','WC1',3,1);
   arrResults[5]:= TResult.Create('B','GT2','MP1',2,3);
   iNumGames := 5;}
End;

//--------------------------------------------------------------------------------------------------------------------------
Procedure TfrmQ2.ReadTextFile ;
Var TextF :TextFile;
    sTeam1 , sTeam2 , sLine, sSection : String;
    i, iCommaPos, iSeason, iScore1, iScore2 : Integer;
Begin
    AssignFile(TextF, fname);
    // 2.3.1
    iNumGames := 0;
    Reset(TextF);
    While Not eof(TextF) do
    Begin
      Readln(TextF, sLine);
      // 2.3.2 and 2.3.3

    End;
    CloseFile(TextF);
End;
//--------------------------------------------------------------------------------------------------------------------------
procedure TfrmQ2.ListResults;           // 2.5
begin

end;
//--------------------------------------------------------------------------------------------------------------------------
procedure TfrmQ2.MaxGoals;                   // 2.6
begin

end;
//--------------------------------------------------------------------------------------------------------------------------
procedure TfrmQ2.ListofTeams;                      // 2.7
begin

end;
//--------------------------------------------------------------------------------------------------------------------------
Procedure TfrmQ2.ShowPoints(sTeam: string);		          // 2.8
Begin

End;
//--------------------------------------------------------------------------------------------------------------------------------
procedure TfrmQ2.btnReadTextFileClick(Sender: TObject);
Begin
  ReadTextFile;
End;
//--------------------------------------------------------------------------------------------------------------------------------
procedure TfrmQ2.btnListResultsClick(Sender: TObject);
begin
  memOutput.Clear;
  ReadTextFile;
  ListResults;
end;
//--------------------------------------------------------------------------------------------------------------------------------
procedure TfrmQ2.btnMaxGoalsClick(Sender: TObject);
begin
  memOutput.Clear;
  ReadTextFile;
  MaxGoals;
end;
//--------------------------------------------------------------------------------------------------------------------------------
procedure TfrmQ2.btnPointsClick(Sender: TObject);
Var sTeam : String;
Begin
  ReadTextFile;
  memOutput.Clear;
  sTeam := InputBox('Enter the team e.g. EC3 ', '', 'EC3');
  ShowPoints(sTeam);
End;
//--------------------------------------------------------------------------------------------------------------------------------
procedure TfrmQ2.btnListOfTeamsClick(Sender: TObject);
begin
  ReadTextFile;
  memOutput.Clear;
  ListofTeams;
end;

end.
